Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77498 - lilo 22.3.4 causes kernel (2.4.18-17.8.0) to panic when image is on lv
Summary: lilo 22.3.4 causes kernel (2.4.18-17.8.0) to panic when image is on lv
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-07 23:31 UTC by VVRVSBARANYI Zoltan
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:10 UTC


Attachments (Terms of Use)

Description VVRVSBARANYI Zoltan 2002-11-07 23:31:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
The configured kernel image is on a logical volume. 
When lilo is called the kernel panics. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get lilo 22.3.4, compile, install
2. create a logical volume, put the kernel image on it
3. create lilo.conf, run lilo
	

Actual Results:  Kernel panicked. Easy to reproduce. The same behaviour with 
previous kernels and also on RH 7.3.

Expected Results:  Ok, lilo shouldn't cause kernel panic. If this method of
kernel placement is not supported it (the kernel) should report an error.

Additional info:

The bug is caused by the LV_BMAP ioctl call from the lilo's geometry.c. In fact
there is a notice in that source file about some widely distributed kernels
which seem to just oops during that call. Anyway, it should not happen IMHO. (I
have not found a soultion on the net. The one-year-old LVM patch which can be
found is for much older kernels.)

Comment 1 Bugzilla owner 2004-09-30 15:40:10 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.